Package com.castlabs.android.player

## Enum ExternalSourceSelector.SwitchType

- java.lang.Object
- - java.lang.Enum<ExternalSourceSelector.SwitchType>
  - - com.castlabs.android.player.ExternalSourceSelector.SwitchType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ExternalSourceSelector.SwitchType>`
  Enclosing interface:
    ExternalSourceSelector

      public static enum ExternalSourceSelector.SwitchType
      extends Enum<ExternalSourceSelector.SwitchType>

  The type of the source (CDN) fallback

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Auto` | First, the seamless transition is attempted and in case of any failure, the playback restart will follow up
    `Restart` | Do not try the seamless transition and restart the playback immediately

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ExternalSourceSelector.SwitchType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ExternalSourceSelector.SwitchType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Auto

          public static final ExternalSourceSelector.SwitchType Auto

      First, the seamless transition is attempted and in case of any failure, the playback restart will follow up

    - #### Restart

          public static final ExternalSourceSelector.SwitchType Restart

      Do not try the seamless transition and restart the playback immediately

  - ### Method Detail

    - #### values

          public static ExternalSourceSelector.SwitchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExternalSourceSelector.SwitchType c : ExternalSourceSelector.SwitchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExternalSourceSelector.SwitchType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null